function vexalarm.options.frame.content.panel()
	local temp = {
		type = "group",
		args = {
			grptestmode = {
				name = "Testmode",
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = "Activate",
						order=1, type = "toggle", width="full",
						set = function(info,val) vexalarm.testmode.handler(val) end,
						get = function() return vexalarm.testmode.activated end,
						},
					testmodeinfo = {name = "- Simulates Event outputs. The spell/spell-profile adjustments for the frames are still active.\n- Frames become movable\n- Frames and Outputpositions become recolored", type = "description", order=2},
					},
				},
			frame_space_testmode = {name ="\n", type = "description", order=2},
			}
		}
	local framelist = {}
	for key in pairs(vexalarm_SV_frame) do
		framelist[#framelist+1] = key
	end
	table.sort(framelist, function (a,b) return a<b end)
	
	local counter = 0
	for i,frame in pairs(framelist) do
		counter = counter +1
		local framegrp = {
			type = "group",
			name = "Frame: "..frame, dialogInline = true,
			order = counter*50,
			args = {		
				-- useprofile = {
					-- name = "Use another spell-profile for spellchecks, instead of the 'Preset'-spell-profile",
					-- order=1, type = "toggle", width="full",
					-- set = function(self,val) vexalarm_SV_frame[frame]["spellsToCheck"]["useSpellProfile"] = val vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
					-- get = function() return vexalarm_SV_frame[frame]["spellsToCheck"]["useSpellProfile"] end,
					-- },
				spellprofile = {
					name = "Existings spell-profiles",
					order=2, type = "select", style = "dropdown", width="double",
					values = vexalarm.options.spells.profiles.getList(true, true),
					--disabled = not(vexalarm_SV_frame[frame]["spellsToCheck"]["useSpellProfile"]),
					set = function(self,val) vexalarm.options.frame.content.setSpellProfile(frame, val) vexalarm.initialize.core(true) vexalarm.testmode.delayTimer() end,
					get = function() return vexalarm.options.frame.content.getSpellProfile(frame) end,
					},
				},
			}
		temp.args[frame] = framegrp
		temp.args[frame.."space"] = {name =" ", type = "description", order=counter*5+1}
	end
	
	if counter == 0 then
		local temp = {
			type = "group",
			args = {
				info = {name = "No frame created", type = "description", order=15},
				}
			}
	end
	
	return temp
end
